PHP Manual
Prev |  | Next

# sesam_fetch_result

(PHP 3 CVS only)

sesam_fetch_result -- Return all or part of a query result

## Description

mixed sesam_fetch_result ( string result_id [, int max_rows] )

Fetches a result, optionally limited to `max_rows`.

## Parameters

`result_id`

  A valid result id returned by sesam_query().

`max_rows`

  Note that the amount of memory used up by a large query may be gigantic. Use the `max_rows` parameter to limit the maximum number of rows returned, unless you are absolutely sure that your result will not use up all available memory.

## Return Values

Returns a mixed array with the query result entries, optionally limited to a maximum of `max_rows` rows. Note that both row and column indexes are zero-based.

Table 1. Mixed result set returned by sesam_fetch_result()

Array Element | Contents
--- | ---
int $arr["count"] | number of columns in result set (or zero if this was an "immediate" query)
int $arr["rows"] | number of rows in result set (between zero and `max_rows`)
bool $arr["truncated"] | `TRUE` if the number of rows was at least `max_rows`, `FALSE` otherwise. Note that even when this is `TRUE`, the next sesam_fetch_result() call may return zero rows because there are no more result entries.

mixed $arr[col][row]

result data for all the fields at row(`row`) and column(`col`), (where the integer index `row` is between 0 and `$arr["rows"]-1`, and `col` is between 0 and `$arr["count"]-1`). Fields may be empty, so you must check for the existence of a field by using the php isset() function. The type of the returned fields depend on the respective SQL type declared for its column (see SESAM overview for the conversions applied). SESAM "multiple fields" are "inlined" and treated like a sequence of columns.

## See Also

sesam_fetch_array()
sesam_fetch_row()
sesam_query()

Prev | Home | Next
sesam_fetch_array | Up | sesam_fetch_row